package net.sf.doolin.util;

import java.util.HashMap;
import java.util.Map;

import net.sf.sido.PropertyAccessor;

public class BasicPropertySet extends AbstractPropertySet {

	private final Map<String, Object> properties = new HashMap<String, Object>();

	@Override
	protected PropertyAccessor createPropertySet(PropertyAccessor parentSet,
			String nameInParent) {
		return new BasicPropertySet();
	}

	@Override
	protected Object getSimple(String name) {
		return this.properties.get(name);
	}

	@Override
	protected void setSimple(String name, Object value) {
		this.properties.put(name, value);
	}

}
